Show / Hide Table of Contents

# Class imnodesNative

##### Inheritance

System.Object
imnodesNative

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: imnodesNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public static class imnodesNative

### Methods

#### EmulateThreeButtonMouse_destroy(EmulateThreeButtonMouse*)

##### Declaration

    public static extern void EmulateThreeButtonMouse_destroy(EmulateThreeButtonMouse*self)

##### Parameters

Type | Name | Description
--- | --- | ---
EmulateThreeButtonMouse* | self |

#### EmulateThreeButtonMouse_EmulateThreeButtonMouse()

##### Declaration

    public static extern EmulateThreeButtonMouse*EmulateThreeButtonMouse_EmulateThreeButtonMouse()

##### Returns

Type | Description
--- | ---
EmulateThreeButtonMouse* |

#### imnodes_BeginInputAttribute(Int32, PinShape)

##### Declaration

    public static extern void imnodes_BeginInputAttribute(int id, PinShape shape)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | id |
PinShape | shape |

#### imnodes_BeginNode(Int32)

##### Declaration

    public static extern void imnodes_BeginNode(int id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | id |

#### imnodes_BeginNodeEditor()

##### Declaration

    public static extern void imnodes_BeginNodeEditor()

#### imnodes_BeginNodeTitleBar()

##### Declaration

    public static extern void imnodes_BeginNodeTitleBar()

#### imnodes_BeginOutputAttribute(Int32, PinShape)

##### Declaration

    public static extern void imnodes_BeginOutputAttribute(int id, PinShape shape)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | id |
PinShape | shape |

#### imnodes_BeginStaticAttribute(Int32)

##### Declaration

    public static extern void imnodes_BeginStaticAttribute(int id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | id |

#### imnodes_ClearLinkSelection()

##### Declaration

    public static extern void imnodes_ClearLinkSelection()

#### imnodes_ClearNodeSelection()

##### Declaration

    public static extern void imnodes_ClearNodeSelection()

#### imnodes_EditorContextCreate()

##### Declaration

    public static extern IntPtr imnodes_EditorContextCreate()

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### imnodes_EditorContextFree(IntPtr)

##### Declaration

    public static extern void imnodes_EditorContextFree(IntPtr noname1)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | noname1 |

#### imnodes_EditorContextGetPanning(Vector2*)

##### Declaration

    public static extern void imnodes_EditorContextGetPanning(Vector2*pOut)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2* | pOut |

#### imnodes_EditorContextMoveToNode(Int32)

##### Declaration

    public static extern void imnodes_EditorContextMoveToNode(int node_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | node_id |

#### imnodes_EditorContextResetPanning(Vector2)

##### Declaration

    public static extern void imnodes_EditorContextResetPanning(Vector2 pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | pos |

#### imnodes_EditorContextSet(IntPtr)

##### Declaration

    public static extern void imnodes_EditorContextSet(IntPtr noname1)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | noname1 |

#### imnodes_EndInputAttribute()

##### Declaration

    public static extern void imnodes_EndInputAttribute()

#### imnodes_EndNode()

##### Declaration

    public static extern void imnodes_EndNode()

#### imnodes_EndNodeEditor()

##### Declaration

    public static extern void imnodes_EndNodeEditor()

#### imnodes_EndNodeTitleBar()

##### Declaration

    public static extern void imnodes_EndNodeTitleBar()

#### imnodes_EndOutputAttribute()

##### Declaration

    public static extern void imnodes_EndOutputAttribute()

#### imnodes_EndStaticAttribute()

##### Declaration

    public static extern void imnodes_EndStaticAttribute()

#### imnodes_GetIO()

##### Declaration

    public static extern IO*imnodes_GetIO()

##### Returns

Type | Description
--- | ---
IO* |

#### imnodes_GetNodeDimensions(Vector2*, Int32)

##### Declaration

    public static extern void imnodes_GetNodeDimensions(Vector2*pOut, int id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2* | pOut |
System.Int32 | id |

#### imnodes_GetNodeEditorSpacePos(Vector2*, Int32)

##### Declaration

    public static extern void imnodes_GetNodeEditorSpacePos(Vector2*pOut, int node_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2* | pOut |
System.Int32 | node_id |

#### imnodes_GetNodeGridSpacePos(Vector2*, Int32)

##### Declaration

    public static extern void imnodes_GetNodeGridSpacePos(Vector2*pOut, int node_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2* | pOut |
System.Int32 | node_id |

#### imnodes_GetNodeScreenSpacePos(Vector2*, Int32)

##### Declaration

    public static extern void imnodes_GetNodeScreenSpacePos(Vector2*pOut, int node_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2* | pOut |
System.Int32 | node_id |

#### imnodes_GetSelectedLinks(Int32*)

##### Declaration

    public static extern void imnodes_GetSelectedLinks(int *link_ids)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32* | link_ids |

#### imnodes_GetSelectedNodes(Int32*)

##### Declaration

    public static extern void imnodes_GetSelectedNodes(int *node_ids)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32* | node_ids |

#### imnodes_GetStyle()

##### Declaration

    public static extern Style*imnodes_GetStyle()

##### Returns

Type | Description
--- | ---
Style* |

#### imnodes_Initialize()

##### Declaration

    public static extern void imnodes_Initialize()

#### imnodes_IsAnyAttributeActive(Int32*)

##### Declaration

    public static extern byte imnodes_IsAnyAttributeActive(int *attribute_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32* | attribute_id |

##### Returns

Type | Description
--- | ---
System.Byte |

#### imnodes_IsAttributeActive()

##### Declaration

    public static extern byte imnodes_IsAttributeActive()

##### Returns

Type | Description
--- | ---
System.Byte |

#### imnodes_IsEditorHovered()

##### Declaration

    public static extern byte imnodes_IsEditorHovered()

##### Returns

Type | Description
--- | ---
System.Byte |

#### imnodes_IsLinkCreatedBoolPtr(Int32*, Int32*, Byte*)

##### Declaration

    public static extern byte imnodes_IsLinkCreatedBoolPtr(int *started_at_attribute_id, int *ended_at_attribute_id, byte *created_from_snap)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32* | started_at_attribute_id |
System.Int32* | ended_at_attribute_id |
System.Byte* | created_from_snap |

##### Returns

Type | Description
--- | ---
System.Byte |

#### imnodes_IsLinkCreatedIntPtr(Int32*, Int32*, Int32*, Int32*, Byte*)

##### Declaration

    public static extern byte imnodes_IsLinkCreatedIntPtr(int *started_at_node_id, int *started_at_attribute_id, int *ended_at_node_id, int *ended_at_attribute_id, byte *created_from_snap)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32* | started_at_node_id |
System.Int32* | started_at_attribute_id |
System.Int32* | ended_at_node_id |
System.Int32* | ended_at_attribute_id |
System.Byte* | created_from_snap |

##### Returns

Type | Description
--- | ---
System.Byte |

#### imnodes_IsLinkDestroyed(Int32*)

##### Declaration

    public static extern byte imnodes_IsLinkDestroyed(int *link_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32* | link_id |

##### Returns

Type | Description
--- | ---
System.Byte |

#### imnodes_IsLinkDropped(Int32*, Byte)

##### Declaration

    public static extern byte imnodes_IsLinkDropped(int *started_at_attribute_id, byte including_detached_links)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32* | started_at_attribute_id |
System.Byte | including_detached_links |

##### Returns

Type | Description
--- | ---
System.Byte |

#### imnodes_IsLinkHovered(Int32*)

##### Declaration

    public static extern byte imnodes_IsLinkHovered(int *link_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32* | link_id |

##### Returns

Type | Description
--- | ---
System.Byte |

#### imnodes_IsLinkStarted(Int32*)

##### Declaration

    public static extern byte imnodes_IsLinkStarted(int *started_at_attribute_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32* | started_at_attribute_id |

##### Returns

Type | Description
--- | ---
System.Byte |

#### imnodes_IsNodeHovered(Int32*)

##### Declaration

    public static extern byte imnodes_IsNodeHovered(int *node_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32* | node_id |

##### Returns

Type | Description
--- | ---
System.Byte |

#### imnodes_IsPinHovered(Int32*)

##### Declaration

    public static extern byte imnodes_IsPinHovered(int *attribute_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32* | attribute_id |

##### Returns

Type | Description
--- | ---
System.Byte |

#### imnodes_Link(Int32, Int32, Int32)

##### Declaration

    public static extern void imnodes_Link(int id, int start_attribute_id, int end_attribute_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | id |
System.Int32 | start_attribute_id |
System.Int32 | end_attribute_id |

#### imnodes_LoadCurrentEditorStateFromIniFile(Byte*)

##### Declaration

    public static extern void imnodes_LoadCurrentEditorStateFromIniFile(byte *file_name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | file_name |

#### imnodes_LoadCurrentEditorStateFromIniString(Byte*, UInt32)

##### Declaration

    public static extern void imnodes_LoadCurrentEditorStateFromIniString(byte *data, uint data_size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | data |
System.UInt32 | data_size |

#### imnodes_LoadEditorStateFromIniFile(IntPtr, Byte*)

##### Declaration

    public static extern void imnodes_LoadEditorStateFromIniFile(IntPtr editor, byte *file_name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | editor |
System.Byte* | file_name |

#### imnodes_LoadEditorStateFromIniString(IntPtr, Byte*, UInt32)

##### Declaration

    public static extern void imnodes_LoadEditorStateFromIniString(IntPtr editor, byte *data, uint data_size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | editor |
System.Byte* | data |
System.UInt32 | data_size |

#### imnodes_NumSelectedLinks()

##### Declaration

    public static extern int imnodes_NumSelectedLinks()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### imnodes_NumSelectedNodes()

##### Declaration

    public static extern int imnodes_NumSelectedNodes()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### imnodes_PopAttributeFlag()

##### Declaration

    public static extern void imnodes_PopAttributeFlag()

#### imnodes_PopColorStyle()

##### Declaration

    public static extern void imnodes_PopColorStyle()

#### imnodes_PopStyleVar()

##### Declaration

    public static extern void imnodes_PopStyleVar()

#### imnodes_PushAttributeFlag(AttributeFlags)

##### Declaration

    public static extern void imnodes_PushAttributeFlag(AttributeFlags flag)

##### Parameters

Type | Name | Description
--- | --- | ---
AttributeFlags | flag |

#### imnodes_PushColorStyle(ColorStyle, UInt32)

##### Declaration

    public static extern void imnodes_PushColorStyle(ColorStyle item, uint color)

##### Parameters

Type | Name | Description
--- | --- | ---
ColorStyle | item |
System.UInt32 | color |

#### imnodes_PushStyleVar(StyleVar, Single)

##### Declaration

    public static extern void imnodes_PushStyleVar(StyleVar style_item, float value)

##### Parameters

Type | Name | Description
--- | --- | ---
StyleVar | style_item |
System.Single | value |

#### imnodes_SaveCurrentEditorStateToIniFile(Byte*)

##### Declaration

    public static extern void imnodes_SaveCurrentEditorStateToIniFile(byte *file_name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | file_name |

#### imnodes_SaveCurrentEditorStateToIniString(UInt32*)

##### Declaration

    public static extern byte *imnodes_SaveCurrentEditorStateToIniString(uint *data_size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32* | data_size |

##### Returns

Type | Description
--- | ---
System.Byte* |

#### imnodes_SaveEditorStateToIniFile(IntPtr, Byte*)

##### Declaration

    public static extern void imnodes_SaveEditorStateToIniFile(IntPtr editor, byte *file_name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | editor |
System.Byte* | file_name |

#### imnodes_SaveEditorStateToIniString(IntPtr, UInt32*)

##### Declaration

    public static extern byte *imnodes_SaveEditorStateToIniString(IntPtr editor, uint *data_size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | editor |
System.UInt32* | data_size |

##### Returns

Type | Description
--- | ---
System.Byte* |

#### imnodes_SetImGuiContext(IntPtr)

##### Declaration

    public static extern void imnodes_SetImGuiContext(IntPtr ctx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ctx |

#### imnodes_SetNodeDraggable(Int32, Byte)

##### Declaration

    public static extern void imnodes_SetNodeDraggable(int node_id, byte draggable)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | node_id |
System.Byte | draggable |

#### imnodes_SetNodeEditorSpacePos(Int32, Vector2)

##### Declaration

    public static extern void imnodes_SetNodeEditorSpacePos(int node_id, Vector2 editor_space_pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | node_id |
System.Numerics.Vector2 | editor_space_pos |

#### imnodes_SetNodeGridSpacePos(Int32, Vector2)

##### Declaration

    public static extern void imnodes_SetNodeGridSpacePos(int node_id, Vector2 grid_pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | node_id |
System.Numerics.Vector2 | grid_pos |

#### imnodes_SetNodeScreenSpacePos(Int32, Vector2)

##### Declaration

    public static extern void imnodes_SetNodeScreenSpacePos(int node_id, Vector2 screen_space_pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | node_id |
System.Numerics.Vector2 | screen_space_pos |

#### imnodes_Shutdown()

##### Declaration

    public static extern void imnodes_Shutdown()

#### imnodes_StyleColorsClassic()

##### Declaration

    public static extern void imnodes_StyleColorsClassic()

#### imnodes_StyleColorsDark()

##### Declaration

    public static extern void imnodes_StyleColorsDark()

#### imnodes_StyleColorsLight()

##### Declaration

    public static extern void imnodes_StyleColorsLight()

#### IO_destroy(IO*)

##### Declaration

    public static extern void IO_destroy(IO*self)

##### Parameters

Type | Name | Description
--- | --- | ---
IO* | self |

#### IO_IO()

##### Declaration

    public static extern IO*IO_IO()

##### Returns

Type | Description
--- | ---
IO* |

#### LinkDetachWithModifierClick_destroy(LinkDetachWithModifierClick*)

##### Declaration

    public static extern void LinkDetachWithModifierClick_destroy(LinkDetachWithModifierClick*self)

##### Parameters

Type | Name | Description
--- | --- | ---
LinkDetachWithModifierClick* | self |

#### LinkDetachWithModifierClick_LinkDetachWithModifierClick()

##### Declaration

    public static extern LinkDetachWithModifierClick*LinkDetachWithModifierClick_LinkDetachWithModifierClick()

##### Returns

Type | Description
--- | ---
LinkDetachWithModifierClick* |

#### Style_destroy(Style*)

##### Declaration

    public static extern void Style_destroy(Style*self)

##### Parameters

Type | Name | Description
--- | --- | ---
Style* | self |

#### Style_Style()

##### Declaration

    public static extern Style*Style_Style()

##### Returns

Type | Description
--- | ---
Style* |